version: '3'

services:
    wasup-mariadb:
        image: wasup/mariadb:1.1.0
        container_name: wasup-mariadb
        volumes:
            - wasup-mariadb-dvpvc:/var/lib/mysql:rw
        environment:
            MYSQL_PASSWORD: "jan0!jan"
            TZ: Asia/Seoul
        ports:
            - 3306:3306
        restart: always
    wasup-manager:
        image: wasup/manager:1.1.0
        container_name: wasup-manager
        environment:
            WASUP_DATABASE_ADDR: wasup-mariadb
            WASUP_DATABASE_PORT: "3306"
            WASUP_DATABASE_NAME: "wasup"
            WASUP_DATABASE_USERNAME: "wasup"
            WASUP_DATABASE_PASSWORD: "jan0!jan"
        ports:
            - 8080:8080
            - 8009:8009
        links:
            - wasup-mariadb
    wasup-scouter:
        image: wasup/scouter:1.1.0
        container_name: wasup-scouter
        volumes:
            - wasup-scouter-dvpvc:/opt/wasup/servers/wasup-scouter-svr/database:rw
        environment:
            SCOUTER_HOME: "/opt/wasup/servers/wasup-scouter-svr"
            MANAGER_URL: wasup-manager:8080
        ports:
            - 6100:6100
            - 6100:6100/udp
            - 6180:6180
        links:
            - wasup-manager
volumes:
    wasup-mariadb-dvpvc:
    wasup-scouter-dvpvc:
